Icon does not disappear immediately if switched to never show icon

Bug #457564 reported by Andreas Schildbach on 2009-10-21
18
This bug affects 3 people
Affects Status Importance Assigned to Milestone
Ubuntu One Client
Low
dobey
ubuntuone-client (Ubuntu)
Low
dobey
Karmic
Undecided
Unassigned

Bug Description

FIXES:
For those not using NetworkManager and are on Karmic, the fix for this bug is in proposed updates. To install proposed updates, please read this FAQ: https://answers.edge.launchpad.net/ubuntuone-client/+faq/930

For those on Jaunty, please update to the latest version of the client and this should work.

--------------------------------------

STEPS TO REPRODUCE/TEST:

1. Open Internet->Applications->Ubuntu One
2. Right-click on Ubuntu One client applet & select "Preferences"
3. Set "Show Icon" pull down menu to "Never"
4. Click the "Close" button

Result: Ubuntu One client applet icon continues to display in task bar

Expected result: Ubuntu One client applet icon doesn't display in task bar

5. Restart Ubuntu
6. Right-click on Ubuntu One client applet & select "Preferences"
7. Set "Show Icon" pull down menu to "Always"
8. Click the "Close" button

Result: Ubuntu One client applet icon doesn't display in task bar

Expected result: Ubuntu One client applet icon displays in task bar

--------------------------------------

ORIGINAL DESCRIPTION:

Binary package hint: ubuntuone-client

If I switch "Show Icon" e.g. from Always to Never, the icon should disappear immediately. It does not. It does not even disappear if I click on Close. It only does not appear when I log out and log in again.

ProblemType: Bug
.home.aschildbach..cache.ubuntuone.log.syncdaemon.exceptions.log:

.home.aschildbach..config.ubuntuone.ubuntuone.client.conf:
 [ubuntuone]
 connected = False
 connect = 2
 show_applet = 2
 bookmarked = True
Architecture: i386
Date: Wed Oct 21 20:49:23 2009
DistroRelease: Ubuntu 9.10
Package: ubuntuone-client 1.0.2-0ubuntu1
PackageArchitecture: all
ProcEnviron:
 LANG=C
 SHELL=/bin/bash
ProcVersionSignature: Ubuntu 2.6.31-14.48-generic
SourcePackage: ubuntuone-client
Uname: Linux 2.6.31-14-generic i686
XsessionErrors:
 (gnome-settings-daemon:12159): GLib-CRITICAL **: g_propagate_error: assertion `src != NULL' failed
 (nautilus:12197): Eel-CRITICAL **: eel_preferences_get_boolean: assertion `preferences_is_initialized ()' failed
 (polkit-gnome-authentication-agent-1:12210): GLib-CRITICAL **: g_once_init_leave: assertion `initialization_value != 0' failed
 (gnome-panel:12193): Gdk-WARNING **: /build/buildd/gtk+2.0-2.18.3/gdk/x11/gdkdrawable-x11.c:952 drawable is not a pixmap or window

Related branches

Andreas Schildbach (schildbach) wrote :
Joshua Hoover (joshuahoover) wrote :

Hi Andreas, We were able to reproduce this problem. I'm assigning to a developer on the Ubuntu One team most likely to fix it. Thank you, Joshua

Changed in ubuntuone-client (Ubuntu):
status: New → Triaged
assignee: nobody → Rodney Dawes (dobey)
Changed in ubuntuone-client:
status: New → Triaged
importance: Undecided → Low
assignee: nobody → Rodney Dawes (dobey)
dobey (dobey) on 2009-10-22
Changed in ubuntuone-client:
status: Triaged → In Progress
Changed in ubuntuone-client (Ubuntu):
importance: Undecided → Low
dobey (dobey) on 2009-10-24
Changed in ubuntuone-client:
status: In Progress → Fix Committed
dobey (dobey) on 2009-11-30
Changed in ubuntuone-client (Ubuntu):
status: Triaged → In Progress
dobey (dobey) on 2009-12-09
tags: added: ubuntuone-sru

Accepted ubuntuone-client into karmic-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Changed in ubuntuone-client (Ubuntu Karmic):
status: New → Fix Committed
tags: added: verification-needed
Joshua Hoover (joshuahoover) wrote :

Tested proposed update on a fresh Karmic install with all standard updates & proposed updates for ubuntuone-client & dependent packages. Ran steps to reproduce and got expected result on first part of test but not on second part - FAIL.

description: updated
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ubuntuone-client - 1.0.3-0ubuntu1

---------------
ubuntuone-client (1.0.3-0ubuntu1) karmic-proposed; urgency=high

  * New upstream release
    - Remove patch files now in upstream for #462828
    - Require python-ubuntuone-storageprotocol >= 1.0.1
    - BadTransition: SYS_CONNECTION_MADE (LP: #457147)
    - ValueError: invalid literal for int() with base 10: 'None' (LP: #476777)
    - Protocol version error with bw throttling enabled (LP: #455544)
    - Folder deletion from other machines results in conflicts (LP: #462003)
    - Syncdaemon doesn't disable throttling (LP: #483592)
    - Syncdaemon crashes with NoAccessToken (LP: #488413)
    - Error creating share from Nautilus: callback() (LP: #492100)
    - Work without NetworkManager installed (LP: #357395)
    - Create a POT during the build (LP: #455527)
    - Bring back timestamps in oauth-login.log (LP: #459175)
    - Applet starts syncdaemon without a token (LP: #491573)
    - Prefs changes don't take immediate affect (LP: #457564)
    - BW limit settings don't appear to be saved (LP: #465030)
    - Distinguish auth errors from other errors (LP: #450633)
    - Fix for running on python < 2.6.3 (LP: #451670)
 -- Rodney Dawes <email address hidden> Fri, 11 Dec 2009 15:45:52 -0500

Changed in ubuntuone-client (Ubuntu Karmic):
status: Fix Committed → Fix Released
Joshua Hoover (joshuahoover) wrote :

Re-tested at 21:00 on fresh Karmic install with all standard updates & proposed updates for ubuntuone-client & dependent packages. Ran steps to reproduce and got expected results across both parts of the test - PASSED.

Martin Pitt (pitti) on 2010-02-05
tags: added: verification-done
removed: verification-needed
dobey (dobey) on 2010-02-18
Changed in ubuntuone-client:
status: Fix Committed → Fix Released
Changed in ubuntuone-client (Ubuntu):
status: In Progress → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers